SystemOrganization addCategory: #ConfigurationOfFame!

Object subclass: #ConfigurationOfFame
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfFame'!

!ConfigurationOfFame commentStamp: 'StephaneDucasse 2/10/2013 18:50' prior: 0!
(ConfigurationOfFame project version: '1.1') load

(ConfigurationOfFame project version: #stable) load

Now depend on HashTable and PhExample
	
(ConfigurationOfFame project version: #development) load!

!ConfigurationOfFame class methodsFor: 'private' stamp: 'DiegoLont 9/30/2013 10:54'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfFame class methodsFor: 'private' stamp: 'TudorGirba 2/19/2011 09:41'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfFame class methodsFor: 'metacello tool support' stamp: 'TudorGirba 2/19/2011 09:41'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfFame class methodsFor: 'loading' stamp: 'TudorGirba 3/8/2013 06:02'!
loadDefault
	self loadDevelopment! !

!ConfigurationOfFame class methodsFor: 'loading' stamp: 'TudorGirba 3/8/2013 06:02'!
loadDevelopment
	(self project version: #development) load! !

!ConfigurationOfFame class methodsFor: 'accessing' stamp: 'TudorGirba 2/19/2011 09:41'!
project

	^self new project! !

!ConfigurationOfFame methodsFor: 'baselines' stamp: 'AlexandreBergel 2/19/2011 17:35'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'First shoot!! Preparing Moose 4.3.4'.
		spec repository: 'http://squeaksource.com/Fame'.
		spec 
			package: 'Fame-Core';
			package: 'Fame-Util';
			package: 'Fame-ImportExport' with: [
				spec requires: #('Fame-Core' ). ];
			package: 'Fame-SmalltalkBinding' with: [
				spec requires: #('Fame-Core' ). ];
			package: 'Fame-Example';
			package: 'Phexample' with: [
				spec repository: 'http://www.squeaksource.com/phexample'. ];
			package: 'Fame-Tests-Core' with: [
				spec requires: #('Fame-Core' 'Fame-Example' 'Phexample' ). ].
		spec 
			group: 'Core' with: #('Fame-Core' 'Fame-ImportExport' 'Fame-Util' 'Fame-SmalltalkBinding' );
			group: 'Tests' with: #('Fame-Tests-Core' ). ].
! !

!ConfigurationOfFame methodsFor: 'baselines' stamp: 'NicolasAnquetil 2/8/2013 15:20'!
baseline11: spec
	<version: '1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Baseline 1.1 first version on SmalltalkHub, copied from baseline 1.0 on SqueakSource'.
		spec repository: 'http://www.smalltalkhub.com/mc/Moose/Fame/main'.
		spec 
			package: 'Fame-Core';
			package: 'Fame-Util';
			package: 'Fame-ImportExport' with: [spec requires: #('Fame-Core' ) ];
			package: 'Fame-SmalltalkBinding' with: [spec requires: #('Fame-Core' ) ];
			package: 'Fame-Example';
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample' ];
			package: 'Fame-Tests-Core' with: [spec requires: #('Fame-Core' 'Fame-Example' 'Phexample' ) ].
		spec 
			group: 'Core' with: #('Fame-Core' 'Fame-ImportExport' 'Fame-Util' 'Fame-SmalltalkBinding' );
			group: 'Tests' with: #('Fame-Tests-Core' ) ].
! !

!ConfigurationOfFame methodsFor: 'baselines' stamp: 'DiegoLont 9/30/2013 11:19'!
baseline12: spec
	<version: '1.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Baseline 1.2 to make explicit that Fame depends on HashTable and Phexample (now on smalltalkHub and with working configurations'.
		spec repository: 'http://www.smalltalkhub.com/mc/Moose/Fame/main'.
		
		spec project: 'HashTable' with: [
				spec
					className: 'ConfigurationOfHashTable';
					versionString: #stable;
					repository: 'http://www.smalltalkhub.com/mc/Moose/HashTable/main' ].
				
		spec project: 'Phexample' with: [
				spec
					className: 'ConfigurationOfPhexample';
					versionString: #stable;
					repository: 'http://www.smalltalkhub.com/mc/Phexample/Phexample/main' ].		
		spec 
			package: 'Fame-Core' with: [spec requires: 'HashTable'];
			package: 'Fame-Util';
			package: 'Fame-ImportExport' with: [spec requires: #('Fame-Core' ) ];
			package: 'Fame-SmalltalkBinding' with: [spec requires: #('Fame-Core' ) ];
			package: 'Fame-Example';
			package: 'Fame-Tests-Core' with: [spec requires: #('Fame-Core' 'Fame-Example') ].
		spec 
			group: 'Core' with: #('Fame-Core' 'Fame-ImportExport' 'Fame-Util' 'Fame-SmalltalkBinding' );
			group: 'Tests' with: #('Fame-Tests-Core' ) ].
	spec for: #'squeak' do: [ 
		spec package: 'Announcements' with: [
			spec repository: 'http://www.squeaksource.com/AXAnnouncements' ].
		spec package: 'Fame-Core' with: [ spec requires: 'Announcements' ] ]
! !

!ConfigurationOfFame methodsFor: 'baselines' stamp: 'TudorGirba 3/8/2013 07:10'!
default: spec 	
	 ^ self development: spec! !

!ConfigurationOfFame methodsFor: 'symbolic versions' stamp: 'DiegoLont 9/30/2013 10:51'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.2-baseline'.
	spec for: #'pharo1.4.x' version: '1.2'.
	spec for: #'pharo2.x' version: '1.2-baseline'.
! !

!ConfigurationOfFame methodsFor: 'snapshots' stamp: 'TudorGirba 9/10/2013 08:46'!
populateSpec: aSpec with: list
	"generated by Snapshotcello
	
	creates a spec object for the package and the version stored in the list"
	
	list do: [:each |
		aSpec package: each third with: [
			aSpec file: (each first  copyUpToLast: $. ).
			aSpec repository: each second ] ]! !

!ConfigurationOfFame methodsFor: 'accessing' stamp: 'TudorGirba 2/19/2011 09:41'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfFame methodsFor: 'snapshots' stamp: 'TudorGirba 9/10/2013 08:46'!
snapshot1
	"generated by Snapshotcello"

	^ #( 
		#('ConfigurationOfHashTable-TudorGirba.7.mcz'  'http://www.smalltalkhub.com/mc/Moose/HashTable/main/'  'ConfigurationOfHashTable' ) 
		#('ConfigurationOfPhexample-StefanMarr.9.mcz'  'http://www.smalltalkhub.com/mc/Phexample/Phexample/main/'  'ConfigurationOfPhexample' ) 
		#('Hashtable-simon_denier.31.mcz'  'http://www.smalltalkhub.com/mc/Moose/HashTable/main/'  'Hashtable' ) 
		#('Phexample-StefanMarr.70.mcz'  'http://www.smalltalkhub.com/mc/Phexample/Phexample/main/'  'Phexample' ) 
		#('PhexamplePlatform-Pharo20-StefanMarr.1.mcz'  'http://www.smalltalkhub.com/mc/Phexample/Phexample/main/'  'PhexamplePlatform-Pharo20' ) 
		#('Fame-Core-AnneEtien.18.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Core' ) 
		#('Fame-Util-TudorGirba.4.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Util' ) 
		#('Fame-ImportExport-TudorGirba.18.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-ImportExport' ) 
		#('Fame-SmalltalkBinding-AndreHora.5.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-SmalltalkBinding' ) 
		#('Fame-Example-AndreHora.3.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Example' ) 
		#('Fame-Tests-Core-AndreHora.18.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Tests-Core' ) 
	)! !

!ConfigurationOfFame methodsFor: 'snapshots' stamp: 'TudorGirba 10/24/2013 00:56'!
snapshot2
	"generated by Snapshotcello"

	^ #( 
		#('ConfigurationOfHashTable-DiegoLont.9.mcz'  'http://www.smalltalkhub.com/mc/Moose/HashTable/main/'  'ConfigurationOfHashTable' ) 
		#('ConfigurationOfPhexample-StefanMarr.9.mcz'  'http://www.smalltalkhub.com/mc/Phexample/Phexample/main/'  'ConfigurationOfPhexample' ) 
		#('Hashtable-simon_denier.31.mcz'  'http://www.smalltalkhub.com/mc/Moose/HashTable/main/'  'Hashtable' ) 
		#('Phexample-StefanMarr.70.mcz'  'http://www.smalltalkhub.com/mc/Phexample/Phexample/main/'  'Phexample' ) 
		#('PhexamplePlatform-Pharo20-StefanMarr.1.mcz'  'http://www.smalltalkhub.com/mc/Phexample/Phexample/main/'  'PhexamplePlatform-Pharo20' ) 
		#('Fame-Core-AnneEtien.18.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Core' ) 
		#('Fame-Util-TudorGirba.4.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Util' ) 
		#('Fame-ImportExport-TudorGirba.18.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-ImportExport' ) 
		#('Fame-SmalltalkBinding-TudorGirba.6.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-SmalltalkBinding' ) 
		#('Fame-Example-TudorGirba.4.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Example' ) 
		#('Fame-Tests-Core-AndreHora.18.mcz'  'http://www.smalltalkhub.com/mc/Moose/Fame/main/'  'Fame-Tests-Core' ) 
	)! !

!ConfigurationOfFame methodsFor: 'symbolic versions' stamp: 'TudorGirba 10/24/2013 00:56'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'pharo1.4.x' version: '1.1'.

	spec for: #'pharo2.x' version: '1.4-snapshot'.
! !

!ConfigurationOfFame methodsFor: 'versions' stamp: 'AlexandreBergel 2/19/2011 17:35'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/19/2011 17:35'.
		spec 
			package: 'Fame-Core' with: 'Fame-Core-TudorGirba.1';
			package: 'Fame-Util' with: 'Fame-Util-TudorGirba.2';
			package: 'Fame-ImportExport' with: 'Fame-ImportExport-TudorGirba.1';
			package: 'Fame-SmalltalkBinding' with: 'Fame-SmalltalkBinding-TudorGirba.1';
			package: 'Fame-Example' with: 'Fame-Example-TudorGirba.1';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.57';
			package: 'Fame-Tests-Core' with: 'Fame-Tests-Core-TudorGirba.1'. ].
! !

!ConfigurationOfFame methodsFor: 'versions' stamp: 'StephaneDucasse 2/10/2013 18:51'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Version 1.1 first version on SmalltalkHub for Pharo 1.4'.
		spec author: 'NicolasAnquetil'.
		spec timestamp: '2/8/2013 15:08'.
		spec 
			package: 'Fame-Core' with: 'Fame-Core-TudorGirba.14';
			package: 'Fame-Util' with: 'Fame-Util-TudorGirba.4';
			package: 'Fame-ImportExport' with: 'Fame-ImportExport-TudorGirba.13';
			package: 'Fame-SmalltalkBinding' with: 'Fame-SmalltalkBinding-FabrizioPerin.3';
			package: 'Fame-Example' with: 'Fame-Example-AndreHora.3';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.63';
			package: 'Fame-Tests-Core' with: 'Fame-Tests-Core-TudorGirba.17'. ].
! !

!ConfigurationOfFame methodsFor: 'versions' stamp: 'StephaneDucasse 2/10/2013 18:50'!
version12: spec
	<version: '1.2' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Version 1.2 with dependencies on hashtable and phexample'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '2/10/2013 15:08'.
		spec 
			package: 'Fame-Core' with: 'Fame-Core-TudorGirba.14';
			package: 'Fame-Util' with: 'Fame-Util-TudorGirba.4';
			package: 'Fame-ImportExport' with: 'Fame-ImportExport-TudorGirba.13';
			package: 'Fame-SmalltalkBinding' with: 'Fame-SmalltalkBinding-FabrizioPerin.3';
			package: 'Fame-Example' with: 'Fame-Example-AndreHora.3';
			package: 'Fame-Tests-Core' with: 'Fame-Tests-Core-TudorGirba.17'. ].
! !

!ConfigurationOfFame methodsFor: 'snapshot versions' stamp: 'TudorGirba 9/10/2013 08:46'!
version13snapshot: spec
	"generated by Snapshotcello"
	<version: '1.3-snapshot'>

	spec for: #common do: [
		self populateSpec: spec with: self snapshot1 ]! !

!ConfigurationOfFame methodsFor: 'snapshot versions' stamp: 'TudorGirba 10/24/2013 00:56'!
version14snapshot: spec
	"generated by Snapshotcello"
	<version: '1.4-snapshot'>

	spec for: #common do: [
		self populateSpec: spec with: self snapshot2 ]! !
